Subject: Re: [xrblock] FW: I-D Action: draft-ietf-xrblock-rtcp-xr-summary-stat-01.txt - review

From: "Roni Even" <[email-masked]>
Date: Tue, 16 Oct 2012 18:37:34 +0200

Hi,
I read the draft and have some comments.

1. Is these blocks used for any media type or just video. The text hints at
video but it will be good to discuss it in the introduction.

2. In the introduction the following sentence "These two blocks are intended
   to be used in conjunction with information from the Burst Gap Loss
   metric block or Burst Gap Discard metric block, and on which these
   two block therefore depends." Maybe add reference to the two metric
blocks since they are mentioned as normative.

3. The draft talk about frames and packet. Current codecs like H.264 use the
term access units and IDR, look at section 4.1 of RFC6184 maybe use some of
the terminology from there in the terminology section.

4. in section 3.2.2 the reserved field has the definition of the I field.

Thanks
Roni even
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Huangyihong (Rachel)
Sent: 15 October, 2012 6:04 AM
To: [email-masked]
Subject: [xrblock] FW: I-D Action:
draft-ietf-xrblock-rtcp-xr-summary-stat-01.txt

Dear all,

Here is the update of draft-ietf-xrblock-rtcp-xr-summary-stat, which mainly
addressed the issues discussed in the list and raised in last meeting. If
you have any different opinions, please let us know. 

Best Regards!
Rachel

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of [email-masked]
Sent: Monday, October 15, 2012 10:43 AM
To: [email-masked]
Cc: [email-masked]
Subject: [xrblock] I-D Action:
draft-ietf-xrblock-rtcp-xr-summary-stat-01.txt

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
 This draft is a work item of the Metric Blocks for use with RTCP's Extended
Report Framework Working Group of the IETF.

	Title           : RTP Control Protocol (RTCP) Extended Report (XR)
Block for Summary Statistics Metrics Reporting
	Author(s)       : Glen Zorn
                          Roland Schott
                          Qin Wu
                          Rachel Huang
	Filename        : draft-ietf-xrblock-rtcp-xr-summary-stat-01.txt
	Pages           : 15
	Date            : 2012-10-14

Abstract:
   This document defines three RTP Control Protcol (RTCP) Extended
   Report (XR) Blocks and associated SDP parameters that allows the
   reporting of loss, duplication and discard summary statistics metrics
   for use in a range of RTP applications.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-xrblock-rtcp-xr-summary-stat

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-xrblock-rtcp-xr-summary-stat-01

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-xrblock-rtcp-xr-summary-stat-01

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
xrblock mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/xrblock
_______________________________________________
xrblock mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/xrblock

---

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Wed, 17 Oct 2012 07:02:50 +0000

Hi Roni,

Thanks for your review. Please see my reply inline.

Best Regards!
Rachel

-----Original Message-----
From: Roni Even [mailto:[email-masked]] 
Sent: Wednesday, October 17, 2012 12:38 AM
To: Huangyihong (Rachel); [email-masked]
Subject: RE: [xrblock] FW: I-D Action: draft-ietf-xrblock-rtcp-xr-summary-stat-01.txt - review

Hi,

[Rachel]: The first two blocks (Burst/Gap Loss Summary Statistics Block and Burst/Gap Discard Summary Statistics Block) are applicable to any media type and not limited to video, while the last metrics block (i.e., Frame Impairment Statistics Summary Block) is only used for video. We would add some texts to clarify this.

[Rachel]: Okay.

[Rachel]: Good point, for terminology consistency, we'd like to propose the following change to terminology section:
OLD TEXT:
" Picture Type
      Picture types used in the different video algorithms compose of
      the key-frame and the Derived frame.  Key-frame is also called a
      reference frame and used as a reference for predicting other
      pictures.  It is coded without prediction from other pictures.
      The Derived frame is derived from Key-frame using prediction from
      the reference frame.
"

NEW TEXT:

"
  Picture Type
      Picture types used in the different video algorithms compose of
      the key frame and the Derived frame.  Key frame is also called a
      intra-coded frame [H.222.0] or IDR picture [H.264]and used as a reference frame for predicting other
      pictures.  It is coded without prediction from other pictures.
      The Derived frame is derived from Key-frame using prediction.
"

[Rachel]: Good catch and will fix this.

Thanks
Roni even
-----Original Message-----

Dear all,

Best Regards!
Rachel

-----Original Message-----

Abstract: